# `generator-phaser-plus`

[![npm version](https://img.shields.io/npm/v/generator-phaser-plus/next.svg?style=flat-square)](https://www.npmjs.com/package/generator-phaser-plus) [![dependencies status](https://david-dm.org/rblopes/generator-phaser-plus/status.svg?style=flat-square&path=packages/generator-phaser-plus)](https://david-dm.org/rblopes/generator-phaser-plus?path=packages/generator-phaser-plus/) [![devDependencies status](https://david-dm.org/rblopes/generator-phaser-plus/dev-status.svg?style=flat-square&path=packages/generator-phaser-plus)](https://david-dm.org/rblopes/generator-phaser-plus?path=packages/generator-phaser-plus/&type=dev) [![Travis CI Build Status](https://img.shields.io/travis/rblopes/generator-phaser-plus.svg?style=flat-square)](https://travis-ci.org/rblopes/generator-phaser-plus)

>   Create [Phaser](http://phaser.io/) Web games with ease.

`generator-phaser-plus` is a [Yeoman generator](http://yeoman.io/) that makes starting up Phaser 3 game projects dead simple.


## Quick Start

>   Note: Assuming you already have [Node.js](https://nodejs.org/) installed.

1.  **Download and install `generator-phaser-plus` from npm:**

    ```sh
    npm install --global generator-phaser-plus # Install generator-phaser-plus.
    ```

2.  **Create a directory for your new project and go into it:**

    ```sh
    mkdir my-awesome-game/
    cd my-awesome-game/
    ```

3.  **Start your new game project:**

    Just run the `phaser-plus` command and fill in the questionnaire.

    ```sh
    phaser-plus
    ```

4.  **Launch it!**

    ```sh
    npm start
    ```

Have a look at the [user's manual][m] and learn more about available features, including [sub-generators and how to use them][s], [how projects are structured][p], [available development tasks][t], and a [hands-on tutorial][g] presenting the general workflow and how you can speed up your game development. You'll also find out more about the [latest development updates][n] and how you can [help contributing to this project][c].


## License

This software is distributed under the terms of the [MIT License](../../LICENSE.md).


<!-- Links -->

[n]: ../../docs/news.md
[m]: ../../docs/index.md
[t]: ../../docs/tasks.md
[c]: ../../docs/contributing.md
[p]: ../../docs/project-layout.md
[g]: ../../docs/quick-start-guide.md
[s]: ../../docs/generator.md#sub-generators
